<?
# Текстовая онлай игра "Тюряга" for DCMS 6.6.4
# Автор spamerBoy
# Ацка 551 514 865

# подключаем файлы
include_once '../sys/inc/start.php';
include_once '../sys/inc/compress.php';
include_once '../sys/inc/sess.php';
include_once '../sys/inc/home.php';
include_once '../sys/inc/settings.php';
include_once '../sys/inc/db_connect.php';
include_once '../sys/inc/ipua.php';
include_once '../sys/inc/fnc.php';
include_once '../sys/inc/user.php';

# функции
include_once 'function.php';

if (isset($user))$ank['id']=$user['id'];
if (isset($_GET['id']))$ank['id']=intval($_GET['id']);

#*********** Шмонают бота ************* #

if ($ank['id']==0)
{
$ank=get_user($ank['id']);

# заголовок
$set['title']=  htmlspecialchars($ank[nick]).' - шмон камеры ';

include_once '../sys/inc/thead.php';
title();
aut();

# покажем скрин
echo '<div class="zona_rekl"><img src="img/description_image_vertuhai.gif" alt="*" /></div>';

# текст
echo '<div class="zona_menu">
Так ... Нарушаем , нарушаем .<br/>
</div>';
echo '<div class="zona_rekl"><img src="img/icon/icon_geo_city.png" alt="*" /> <a href="index.php"> Вернутся в камеру</a></div>';
include_once '../sys/inc/tfoot.php';
exit;
}

$ank=get_user($ank['id']);

#*********** не обнаружено -> нахер ************* #
if(!$ank){
header("Location: /index.php?".SID);
exit;
}


#***********обнаружено - продолжим ************* #
else{

# заголовок
$set['title']=  htmlspecialchars($ank[nick]).' - шмон камеры ';
include_once '../sys/inc/thead.php';
title();
aut();

# существует сесия - продолжим
if (isset($user)){


#***********шмонаем себя ************* #
if($ank['id']== $user['id']){

# покажем скрин
echo '<div class="zona_rekl"><img src="img/description_image_sansanych.gif" alt="*" /></div>';

# текст
echo '<div class="zona_menu">
Ты что садомазахист ?<br/>
Сам у себя воруешь .
</div>';
echo '<div class="zona_rekl"><img src="img/icon/icon_geo_city.png" alt="*" /> <a href="index.php"> Вернутся в камеру</a></div>';
include_once '../sys/inc/tfoot.php';
exit;
}

#*********** проверим на бабки ************* #
else if($ank['zona_balls'] <5){

# покажем скрин
echo '<div class="zona_rekl"><img src="img/description_image_sansanych.gif" alt="*" /></div>';

# текст
echo '<div class="zona_menu">
Слушай , кого там шмонать ?<br/>
Нищета , без денег .
</div>';
echo '<div class="zona_rekl"><img src="img/icon/icon_geo_city.png" alt="*" /> <a href="index.php"> Вернутся в камеру</a></div>';
include_once '../sys/inc/tfoot.php';
exit;
}


#*********** проверим на время шмона ************* #
else if($user['zona_shmon_time']>time()){

# покажем скрин
echo '<div class="zona_rekl"><img src="img/description_image_sansanych.gif" alt="*" /></div>';

# текст
echo '<div class="zona_menu">
Ну я вижу ты обнаглел ?<br/>
Шмонать камеру можна только раз в 24 часа<br/>
До следующего шмона осталось '.maketime($user['zona_shmon_time']-time()).'
</div>';
echo '<div class="zona_rekl"><img src="img/icon/icon_geo_city.png" alt="*" /> <a href="index.php"> Вернутся в камеру</a></div>';
include_once '../sys/inc/tfoot.php';
exit;
}


#*********** проверим охрану у камеры ************* #
else if($ank['zona_atack_securuty']>time()){

# отправим уведомления в ленту 
mysql_query("INSERT INTO `zona_lenta` SET  `id_user`='".$user['id']."' ,`to_id`='".$ank['id']."',`time`='".time()."',`text`='хотел прошманать вашу камеру .Охранник задержал его и отсыпал пизды .'");

# покажем скрин
echo '<div class="zona_rekl"><img src="img/description_image_vertuhai.gif" alt="*" /></div>';

# текст
echo '<div class="zona_menu">
Стой ! Стрелять буду !<br/>
Камера под охраной .<br/>
Так что быстро уноси ноги .
</div>';
echo '<div class="zona_rekl"><img src="img/icon/icon_geo_city.png" alt="*" /> <a href="index.php"> Вернутся в камеру</a></div>';
include_once '../sys/inc/tfoot.php';
exit;
}


#***********соответствий небыло = шмонаем ************* #
else{

# грабим 20 % от суммы
$dolya=$ank['zona_balls'] / 5;

# рандом совпадений
$rank=rand(1,2);

# удача
if($rank ==1){

# обновим в бд время на сутки
mysql_query("UPDATE `user` SET `zona_balls`=`zona_balls`+'".(int)$dolya."',`zona_avtoritet`=`zona_avtoritet`+'1',`zona_shmon_time`='".(time()+86400)."' WHERE `id`='".$user['id']."'");

# снимим бабки у кого шмонали
mysql_query("UPDATE `user` SET `zona_balls`=`zona_balls`-'".(int)$dolya."' WHERE `id`='".$ank['id']."'");

# отправим уведомления в ленту 
mysql_query("INSERT INTO `zona_lenta` SET  `id_user`='".$user['id']."' ,`to_id`='".$ank['id']."',`time`='".time()."',`text`='прошманал вашу камеру .У вас украдено ".(int)$dolya."  баксов .'");


# покажем скрин
echo '<div class="zona_rekl"><img src="img/description_image_sansanych.gif" alt="*" /></div>';

# текст
echo '<div class="zona_menu">
Удача , блядь !<br/>
Ну ты даешь !<br/>
Твоя награда <img src="img/icon/icon_header_staff2.png" alt="*" /> '.(int)$dolya.' баксов .<br/>
Так же тебе добавлено <img src="img/icon/icon_a_reputation.png" alt="*" /> 1 ед. авторитета .
</div>';
echo '<div class="zona_rekl"><img src="img/icon/icon_geo_city.png" alt="*" /> <a href="index.php"> Вернутся в камеру</a></div>';
}

# попался
else{

# обновим в бд время на сутки
mysql_query("UPDATE `user` SET `zona_shmon_time`='".(time()+86400)."' WHERE `id`='".$user['id']."'");

# отправим уведомления в ленту 
mysql_query("INSERT INTO `zona_lenta` SET  `id_user`='".$user['id']."' ,`to_id`='".$ank['id']."',`time`='".time()."',`text`='прошманал вашу камеру ,но обосрался и сбежал .'");


# покажем скрин
echo '<div class="zona_rekl"><img src="img/description_image_vertuhai.gif" alt="*" /></div>';

# текст
echo '<div class="zona_menu">
Стой ! Стрелять буду !<br/>
Ты что делаешь здесь !<br/>
Попался голубчик , спалил я тебя ?<br/>
Дуй отседава быстро .<br/>
</div>';

echo '<div class="zona_rekl"><img src="img/icon/icon_geo_city.png" alt="*" /> <a href="index.php"> Вернутся в камеру</a></div>';

}
}
}

#***********закроем от гостей ************* #
else{
echo '<div class="msg">Игра доступна только для авторизованых пользователей!</div>';
}
}
include_once '../sys/inc/tfoot.php';
?>
